/****************************************************************************/
/*                                                                          */
/*                      Chaine de CAO & VLSI   Alliance                     */
/*                                                                          */
/*    Produit : DESB  v2.n                                                  */
/*    Fichier : error.c                                                     */
/*                                                                          */
/*    (c) copyright 1993 Laboratoire MASI equipe CAO & VLSI                 */
/*    Tous droits reserves                                                  */
/*    Support : e-mail cao-vlsi@masi.ibp.fr                                 */
/*                                                                          */
/*    Auteur(s) : Marc LAURENTIN                        le : 27/01/1993     */
/*                                                                          */
/*    Modifie par :                                     le : ../../....     */
/*    Modifie par :                                     le : ../../....     */
/*    Modifie par :                                     le : ../../....     */
/*                                                                          */
/****************************************************************************/

#include"head.h"

void d2vFatalError(code,str1,str2,str3,num)
int code ;
char * str1 ;
char * str2 ;
char * str3 ;
int num     ;
{

   if(D2V_LANG == 'E')
   fprintf(stderr,"[FATAL ERR %d] ");
   else if (D2V_LANG == 'F')
   fprintf(stderr,"[FATAL ERR %d] ");


   switch(code)
   {

      case 1 :

      if(D2V_LANG == 'E')
      fprintf(stderr,"Every bit of vector '%s' are not of the same type\n",str2);
      else if (D2V_LANG == 'F')
      fprintf(stderr,"Tous les bit du vector '%s' ne sont pas du meme type\n",str2);
      break ;

      case 2 :

      if(D2V_LANG == 'E')
      fprintf(stderr,"Can't open file '%s'\n",str2);
      else if (D2V_LANG=='F')
      fprintf(stderr,"Ouverture du fichier '%s' impossible\n",str2);
      break ;

      case 3 :

      if(D2V_LANG == 'E')
      fprintf(stderr,"Some bits are missing in the vector '%s'\n",str2);
      else if (D2V_LANG == 'F')
      fprintf(stderr,"Le vecteur '%s' est incomplet \n",str2);
      break ;

      case 4 :

      if(D2V_LANG == 'E')
      fprintf(stderr,"Not enough memory \n");
      else if (D2V_LANG == 'F')
      fprintf(stderr,"Allocation memoire impossible\n");
      break ;

      case 5 :

      if(D2V_LANG == 'E')
      fprintf(stderr,"Executing '%s' : NULL pointer argument\n",str1);
      else if (D2V_LANG == 'F')
      fprintf(stderr,"Fonction '%s' : Pointeur argument NULL\n",str1);
      break ;

      default :
      break ;

   }
fflush(stderr);
exit(-1);
}




